Subject: bug#65882: 29.1; rcirc doesn't rejoin channels automatically on reconnecting

From: Stefan Kangas <[email-masked]>
Date: Fri, 22 Sep 2023 01:46:14 -0700

Philip Kaludercic <[email-masked]> writes:

>> Additionally, is it OK to backport this to 29 branch or even 28 branch?
>
> I don't know if bugs are backported onto emacs-28, the branch seems to
> be stale.

We don't plan to make any more releases of Emacs 28, so we don't bother
with backporting fixes there.

> The emacs-29 branch might be viable, but I don't want to decide that
> myself.  If Stefan is fine with that, I can take care of it.

I don't necessarily object, but is it a regression?  Is the change safe?
If the answer to either of those questions is "no", I think master is
the safer choice.

>> Or is there any automatic backport process for release branches?
>
> Not that I know of.

The process is indeed manual.